BGPD(8)

NAME
bgpd - Border Gateway Protocol daemon

SYNOPSIS
bgpd [-cdnv] [-D macro=value] [-f file]

DESCRIPTION
bgpd is a Border Gateway Protocol (BGP) daemon which manages the network routing tables. Its main purpose is to exchange information concerning "network reachability" with other BGP systems. bgpd uses the Border Gateway Protocol, Version 4, as described in RFC 4271. Please refer to that document for more information about BGP.

bgpd is usually started at boot time, and can be enabled by setting the following in /etc/rc.conf.local:

    bgpd_flags=""

See rc(8) and rc.conf(8) for more information on the boot process and enabling daemons.

When bgpd starts up, it reads settings from a configuration file, typically bgpd.conf(5). A running bgpd process can be controlled using the bgpctl(8) utility.

The options are as follows:

-c  Force bgpd to do carp(4) demotion at startup when the demote functionality is used. Normally, bgpd will only do demotion at startup when the demotion counter for the group in question is already greater than 0. bgpd will start handling demotion after all sessions with demotion configured for the given group have been successfully established. At system startup, rc(8) has the demotion counter for the group carp increased until after bgpd is started, so this option should not be used in rc.conf(8).

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize. If this option is specified, bgpd will run in the foreground and log to stderr.

-f file
    Use file as the configuration file, instead of the default /etc/bgpd.conf.

-n  Configtest mode. Only check the configuration file for validity.

-v  Produce more verbose output.

FILES
/etc/bgpd.conf
    default bgpd configuration file
/var/run/bgpd.sock
    default bgpd control socket

SEE ALSO
bgpd.conf(5), bgpctl(8), bgplg(8), bgplgsh(8) RFC 4271, A Border Gateway Protocol 4 (BGP-4), January 2006. RFC 1997, BGP Communities Attribute, August 1996. RFC 2385, Protection of BGP Sessions via the TCP MD5 Signature Option, August 1998. RFC 2545, Use of BGP-4 Multiprotocol Extensions for IPv6 Inter-Domain Routing, March 1999. RFC 2796, BGP Route Reflection - An Alternative to Full Mesh IBGP, April 2000. RFC 2918, Route Refresh Capability for BGP-4, September 2000. RFC 3682, The Generalized TTL Security Mechanism (GTSM), February 2004. RFC 3765, NOPEER Community for Border Gateway Protocol, April 2004. RFC 4360, BGP Extended Communities Attribute, February 2006. RFC 4364, BGP/MPLS IP Virtual Private Networks (VPNs), February 2006. RFC 4486, BGP Cease Notification Message Subcodes, April 2006. RFC 4760, Multiprotocol Extensions for BGP-4, January 2007. RFC 4893, BGP Support for Four-octet AS Number Space, May 2007. RFC 5492, Capabilities Advertisement with BGP-4, February 2009. draft-ietf-idr-optional-transitive-00, Error Handling for Optional Transitive BGP Attributes, April 2009. draft-ietf-idr-fsm-subcode-02, Subcodes for BGP Finite State Machine Error, August 2011. draft-ietf-grow-mrt-17, MRT routing information export format, August 2011.

HISTORY
The bgpd program first appeared in OpenBSD 3.5.